#
# spec file for package aalib (Version 1.4.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed slang slang-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           aalib
BuildRequires:  slang-devel xorg-x11 xorg-x11-devel
URL:            http://aa-project.sourceforge.net/
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Version:        1.4.0
Release:        305.2
Summary:        An ASCII Art Library
Source:         aalib-1.4rc5.tar.gz
Source1:        aavga-1.0rc1.tar.gz
Source2:        aview-1.3.0rc1.tar.gz
Patch1:         fix_gpm_fd_handling.diff
Patch2:         aavga.dif
Patch3:         aalib-1.4.0.dif
Patch4:         aview-1.3.0.patch
Patch5:         aview-1.3.0-tmpvuln.diff
Patch6:         aalib-distint.patch
Patch7:         aview-signed-char.patch
Patch8:         aview-includes.patch
Patch9:         aalib-includes.patch
PreReq:         %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AA-lib is a low level gfx library. AA-lib does not require a graphics
device. In fact, there is no graphical output possible. AA-lib replaces
old-fashioned output methods with a powerful ASCII art renderer.



Authors:
--------
    Jan Hubicka <hubicka@limax.paru.cas.cz>
    Kamil Toman <toman@horac.ta.jcu.cz>

%debug_package
%package devel
Version:        1.4.0
Release:        305.2
Summary:        Development Package for AAlib
Group:          System/Libraries
Autoreqprov:    on
Requires:       aalib == %version slang-devel
Obsoletes:      aalibdev

%description devel
Files needed for developing software that uses AAlib.



Authors:
--------
    Jan Hubicka <hubicka@limax.paru.cas.cz>
    Kamil Toman <toman@horac.ta.jcu.cz>

%prep
%setup -q -a 1 -b 2
%patch1
%patch3
cd aavga-1.0 
%patch2
cd ../../aview-*
%patch4
%patch7
%patch8
cd ..
%patch5
%patch6
%patch9

%build
%{?suse_update_config}
libtoolize --copy --force
aclocal
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fstrength-reduce -ffast-math -fomit-frame-pointer"
%ifarch %ix86
export CFLAGS="$CFLAGS -falign-loops=2 -falign-jumps=2 -falign-functions=2"
%endif
./configure --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} --libdir=%_libdir
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -av ANNOUNCE AUTHORS COPYING INSTALL NEWS README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cd ../aview-1.3.0
PATH=$RPM_BUILD_ROOT%{_bindir}:$PATH \
   CFLAGS="$RPM_OPT_FLAGS -I$RPM_BUILD_ROOT/usr/include" \
   LDFLAGS="-L$RPM_BUILD_ROOT%{_libdir}" \
   LD_LIBRARY_PATH="$RPM_BUILD_ROOT%{_libdir}" \
   ./configure --prefix=/usr --mandir=%{_mandir}
make
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aview
cp -av README* ANNOUNCE COPYING TODO *.lsm $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aview
cd -
cd aavga-1.0 
make DESTDIR=$RPM_BUILD_ROOT
cp -av aavga.so $RPM_BUILD_ROOT%_libdir
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aavga
cp -av aavga.lsm COPYING README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aavga
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%run_ldconfig

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%run_ldconfig

%files
%defattr(-,root,root)
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%_libdir/libaa.so.1.0.4
%_libdir/libaa.so.1
%_libdir/aavga.so
%_bindir/aafire
%_bindir/aaflip
%_bindir/aainfo
%_bindir/aasavefont
%_bindir/aatest
%_bindir/asciiview
%_bindir/aview
%{_infodir}/aalib.info.gz
%{_infodir}/aalib.info-?.gz
%{_mandir}/man1/aafire.1.gz
%{_mandir}/man1/aview.1.gz
%{_mandir}/man1/asciiview.1.gz

%files devel
%defattr(-,root,root)
%_includedir/aalib.h
%_libdir/libaa.la
%_libdir/libaa.a
%_libdir/libaa.so
%_datadir/aclocal/aalib.m4
%_bindir/aalib-config
%{_mandir}/man3/aa_*.3.gz
%{_mandir}/man3/mem_d.3.gz
%{_mandir}/man3/save_d.3.gz

%changelog -n aalib
* Mon Apr 10 2006 - meissner@suse.de
- added requires slang-devel to aalib-devel
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Thu Jul 07 2005 - hvogel@suse.de
- fix some more decls
* Tue Jul 05 2005 - hvogel@suse.de
- fix implicit functions
* Sun Jul 03 2005 - hvogel@suse.de
- sign chars to make comparison work. Patch from olh (Bug #95092)
* Thu Jun 23 2005 - hvogel@suse.de
- require exact aalib version
- add %%clean section
* Wed Jan 19 2005 - hvogel@suse.de
- fix the uninitialized variables fix, NULL is for pointers, use 0
* Wed Jan 19 2005 - hvogel@suse.de
- fix use of uninitialized variables
* Sat Oct 23 2004 - hvogel@suse.de
- move config script to the devel package
* Tue Aug 31 2004 - hvogel@suse.de
- remove insecure temp file creation in asciiview [Bug #44386]
* Mon Apr 19 2004 - ro@suse.de
- fix "control reaches end of non-void function" warning
* Thu Jan 29 2004 - hvogel@suse.de
- run ldconfig after install/deinstall
- mark man pages as documentation
* Mon Jan 26 2004 - hvogel@suse.de
- move autoconf macro file to the devel subpackage
* Tue Jan 13 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Jan 09 2004 - kukuk@suse.de
- Fix underquoted definition of AM_PATH_AALIB in aalib.m4
* Tue Jul 29 2003 - aj@suse.de
- Fix for chown change.
* Mon May 26 2003 - ro@suse.de
- added man pages for mem_d and save_d to filelist
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Apr 23 2003 - coolo@suse.de
- use BuildRoot
* Fri Feb 07 2003 - fehr@suse.de
- Use %%install_info macro
* Thu Feb 06 2003 - fehr@suse.de
- add patch to link aavga lib also in systems with use lib64
* Tue Feb 04 2003 - fehr@suse.de
- update to aalib-1.4rc5, aavga-1.0rc1, aview-1.3.0rc1
* Mon Dec 02 2002 - fehr@suse.de
- fixed problem with new gcc/glibc
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Aug 14 2002 - fehr@suse.de
- fix bug handling gmp_fd variable in aaslnkbd.c (#17426)
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 10 2002 - meissner@suse.de
- copy over system auto* tools so we build on new platforms.
* Fri May 31 2002 - ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Wed Apr 24 2002 - fehr@suse.de
- make it build on architectures with X11-libs in /usr/X11R6/lib64
* Wed Jan 30 2002 - coolo@suse.de
- use %%_libdir
* Tue Jan 29 2002 - nadvornik@suse.cz
- fixed initialization of slang library [bug #12933]
* Wed Aug 29 2001 - fehr@suse.de
- add packages aview and aavga
* Thu Mar 01 2001 - bk@suse.de
- add platform optimisation flags
- move suse_update_config to %%prep and move install to %%install
* Wed Jan 17 2001 - schwab@suse.de
- Add Obsoletes: aalibdev to aalib-devel package.
- Move libaa.so to aalib-devel.
- Require aalib from aalib-devel package.
* Sat Dec 09 2000 - nashif@suse.de
- Set the right Groups
- Changed package name: aalibdev -> aalib-devel
* Fri May 19 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Thu Mar 30 2000 - schwab@suse.de
- Update config.{status,guess} from automake.
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info, add group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jan 11 1999 - fehr@suse.de
- make SuSE package from version 1.2 of aalib
